Bug 912066 - perl-SQL-Translator is outdated
Summary: perl-SQL-Translator is outdated
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: perl-SQL-Translator
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Iain Arnell
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 911911 912132
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-02-17 15:23 UTC by Emmanuel Seyman
Modified: 2013-03-03 22:25 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-03-03 22:25:25 UTC


Attachments (Terms of Use)

Description Emmanuel Seyman 2013-02-17 15:23:18 UTC
Description of problem:
A number of packages fail to build complaining they need SQL::Translator 0.11016+. See:

http://koji.fedoraproject.org/koji/taskinfo?taskID=4970909
http://koji.fedoraproject.org/koji/taskinfo?taskID=4972197

Can we please get an update to that version in Rawhide?

Comment 1 Iain Arnell 2013-02-17 15:30:33 UTC
I noticed already. Unfortunately, latest SQL::Translator has a new dependency on Package::Variant that we don't have (yet), which in turn requires Import::Into (bug #911911). Reviews welcome....

Comment 2 Emmanuel Seyman 2013-02-17 19:05:15 UTC
Taking that review. Let's move forward on this one...

Comment 3 Iain Arnell 2013-02-17 19:49:16 UTC
Thanks, Emmanuel. I hope I didn't break too much for you.

Package::Variant review request is bug #912132

Comment 4 Iain Arnell 2013-02-21 16:37:08 UTC
SQL::Translator is updated in rawhide now and available in the buildroot. Local builds of affected packages are working again now. Will be coming to F18 soon as well.

Comment 5 Iain Arnell 2013-02-21 17:03:40 UTC
I've also rebuilt perl-HTML-FormFu-Model-DBIC and perl-CGI-Application-Plugin-DBIx-Class in rawhide.

Comment 6 Fedora Update System 2013-02-21 17:40:38 UTC
perl-SQL-Translator-0.11016-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/perl-SQL-Translator-0.11016-1.fc18

Comment 7 Fedora Update System 2013-02-24 08:38:01 UTC
Package perl-SQL-Translator-0.11016-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing perl-SQL-Translator-0.11016-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-2910/perl-SQL-Translator-0.11016-1.fc18
then log in and leave karma (feedback).

Comment 8 Fedora Update System 2013-03-03 22:25:26 UTC
perl-SQL-Translator-0.11016-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.